/*****************************/
/** Wartości custom dla widoku: Logowanie za pomocą hasła  **/
/*****************************/

#LoginByPasswordView {
    button {
        background-color: #007bff !important;
        color: #ffffff;
        font-size: 16px;
        border-radius: 4px;
        width: 100%;

        &:focus {
            box-shadow: 0 0 0 .2rem #007bff40;
        }

        &:hover {
            background-color: #007bffcc !important;
        }
    }

    .form-control {
        color: #000000;
        background-color: transparent;
        font-size: 16px;
        border-radius: 4px;

        &:focus {
            box-shadow: 0 0 0 .2rem transparent40;
        }

        &:hover {
            background-color: transparentcc;
        }
    }

    #header-text {
        color: #6a6a6a;
        font-size: 12px;
    }
}

/*****************************/
/** Wartości custom dla widoku: Formularz zadawania pytań  **/
/*****************************/

section:has(#AskedQuestionsView) {
    background-color: transparent;
;
}

.AskedQuestionsButton {
    color: #ffffff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;

    &:hover {
        background-color: #007bffcc !important;
        border-color: #007bffcc !important;
    }
}

#AskedQuestionsView {

    #AskedQuestionsSubmitButton,
    #AskedQuestionsSpinButton {
        width: 100%;
        color: #ffffff;
        background-color: #007bff;
        border-color: #007bff;
        font-size: 16px;
        border-radius: 4px;

        &:focus {
            box-shadow: 0 0 0 .2rem #007bff40;
        }

        &:hover {
            background-color: #007bffcc;
            border-color: #007bffcc;
        }
    }

    .form-control {
        font-size: 16px;
        color: #000000;
        border-radius: 4px;

        &:focus {
            border-color: #000000;
            box-shadow: 0 0 0 .2rem #00000040;
        }
    }

    div.row:has(button) {
        justify-content: ;
    }


    p#header-text {
        font-size: 14px;
        color: #6a6a6a;
    }
}

